﻿using HeuristicLab.Services.Hive.DataAccess;

namespace HeuristicLab.Services.Hive {
  public interface IServiceLocator {
    IAuthenticationManager AuthenticationManager { get; }
    IAuthorizationManager AuthorizationManager { get; }
    IHiveDao HiveDao { get; }
    ILifecycleManager LifecycleManager { get; }
    TransactionManager TransactionManager { get; }
    HeartbeatManager HeartbeatManager { get; }
  }
}
